function [aout,res,counter,morse]=newtoniterate(a,lambda,n)
% iterates the Newton map

counter=1;
diff=1;

while counter<30 && diff>1e-12
   [F,DF]=FDF(a,lambda,n);
   da=-DF\F;
   a=a+da;
   diff=max(abs(da));
end
aout=a;
[res,J]=FDF(a,lambda,n);

morse=countunstable(J);
